%define name soundwrapper
%define version 1.3
%define release 3mdk

Summary:	Directs a program's sound output to aRts or esd
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
BuildRequires:	libarts-devel esound-devel
Conflicts:  menu < 2.1.12-9mdk

%description
When placed before a command to run a program with some audio component,
that program's audio output is redirected to the aRts or EsounD sound
servers if either of them is in control of the sound device

%prep
%setup -q

aclocal
automake --add-missing
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/soundwrapper

%changelog
* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-3mdk
- add conflict in order to ease update

* Thu Sep  2 2004 Olivier Blin <blino@mandrake.org> 1.3-2mdk
- fix linking

* Thu Aug 26 2004 David Walser <luigiwalser@yahoo.com> 1.3-1mdk
- fix braces (silly emacs :o) (thanks blino)
- don't use absolute filenames for libs, it breaks 64bit arches (thanks blino)

* Wed Aug 25 2004 David Walser <luigiwalser@yahoo.com> 1.2-1mdk
- use dlopen() to avoid direct requires on libesd/libartsc

* Sun Apr 25 2004 David Walser <luigiwalser@yahoo.com> 1.1-1mdk
- fix stupid bug

* Thu Jul 10 2003 David Walser <luigiwalser@yahoo.com> 1.0-1mdk
- initial release
